aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-koi-snapshot
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-02-09 16:19:50 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-02-09 16:19:50 +0100
commit83139b69e344d80c377e007bc0d4887296d9ad8b (patch)
tree14e0d9c92db80590058a1d47d07a4d26e9e7d9a0 /jjb/release-jjb-koi-snapshot
parentc16a1bad33ec793164c36ba15e7def3fe860a859 (diff)
Do build the html5 demo for qemux86-64
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ia4c8bea4b57bceccd9b339be1be912330a6b8ac7
Diffstat (limited to 'jjb/release-jjb-koi-snapshot')
-rw-r--r--jjb/release-jjb-koi-snapshot/bitbake-html5-image-qemux86-64.sh21
-rw-r--r--jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml7
2 files changed, 25 insertions, 3 deletions
diff --git a/jjb/release-jjb-koi-snapshot/bitbake-html5-image-qemux86-64.sh b/jjb/release-jjb-koi-snapshot/bitbake-html5-image-qemux86-64.sh
new file mode 100644
index 00000000..78af7470
--- /dev/null
+++ b/jjb/release-jjb-koi-snapshot/bitbake-html5-image-qemux86-64.sh
@@ -0,0 +1,21 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the sdk
+################################################################################
+#if ! test x"${GERRIT_BRANCH}" = x"dab" ; then
+#bitbake wic-tools
+#fi
+
+if test x"qemux86-64" = x"${TARGETMACHINE}" ; then
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+#( ( bitbake -c $TARGETSDK $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -c $TARGETSDK $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+echo 'AGL_DEFAULT_IMAGE_FSTYPES_forcevariable = "wic.vmdk.xz wic.xz ext4.xz"' >> conf/local.conf
+echo 'AGL_EXTRA_IMAGE_FSTYPES_forcevariable = ""' >> conf/local.conf
+( ( bitbake agl-demo-platform-html5 ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake agl-demo-platform-html5 ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+
+du -hs tmp/deploy/*
+
+fi \ No newline at end of file
diff --git a/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml b/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml
index 4b2d92ec..fc09b4f6 100644
--- a/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml
+++ b/jjb/release-jjb-koi-snapshot/release-jjb-koi-snapshot.yaml
@@ -17,15 +17,15 @@
description: "Project to build"
- string:
name: GERRIT_BRANCH
- default: master
+ default: koi
description: "branch to build"
- string:
name: GERRIT_REFSPEC
- default: refs/tags/koi_10.91.0
+ default: refs/tags/koi_11.0.0
description: "refspec to build"
- string:
name: RELEASE_VERSION
- default: 10.91.0
+ default: 11.0.0
description: "release version number for build"
- string:
name: RELEASE_BRANCH
@@ -113,6 +113,7 @@
- ../common/include-agl-local-conf-rpi3-imagetype.sh
#- ../common/include-agl-bitbake-image.sh
- ../common/include-agl-bitbake-sdk.sh
+ - bitbake-html5-image-qemux86-64.sh
- shell:
!include-raw-escape: include-release-jjb-koi-snapshot-rsync.sh
- shell: